<template>
  <div class="row" v-if="categories" :key="category.id">
    <div
      class="col-md-6"
      v-for="product in category.products"
      :key="product.id"
    >
      <product :product="product" />
    </div>
  </div>
</template>

<script>
import Form from "vform";
import { mapGetters } from "vuex";
import axios from "axios";
import Product from "~/shop/components/Product";

export default {
  scrollToTop: false,

  components: {
    Product,
  },

  metaInfo() {
    return { title: this.$t("shop") };
  },

  props: ["id"],

  computed: {
    ...mapGetters({
      user: "auth/user",
      category: "shop/category",
      categories: "shop/categories",
    }),
  },

  created() {
    this.update();
  },

  watch: {
    $route: "update",
  },

  methods: {
    async update() {
      await this.$store.dispatch("shop/fetchCategory", this.id);
    },
  },
};
</script>
